Contents

API reference

Operations

API reference descriptions are provided in English to preserve the exact published contract.

List asynchronous operations

GET /v1/accounts/{AC}/operations

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
sortquery · "createdAt" | "-createdAt"
typequery · string (max 64 chars)
statequery · string (max 64 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Fetch an asynchronous operation

GET /v1/accounts/{AC}/operations/{OP}

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Cancel an asynchronous operation

POST /v1/accounts/{AC}/operations/{OP}/cancel

Required scope: `operations:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List per-item operation results

GET /v1/accounts/{AC}/operations/{OP}/children

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yes
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Fetch a completed operation result

GET /v1/accounts/{AC}/operations/{OP}/result

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Retry an asynchronous operation

POST /v1/accounts/{AC}/operations/{OP}/retry

Required scope: `operations:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.